#include "dsp/adsr.h"

void ADSR::reset() {
    state = IDLE;
    t = 0;
}

void ADSR::assign(Envelope const * env) {
    this->env = env;
}

void ADSR::noteOn() {
    state = ATTACK;
    t = 0;
}

void ADSR::noteOff() {
    if(state != RELEASE) {
        state = RELEASE;
        t = 1;
    }
}