#ifndef __CC_H__
#define __CC_H__

#define CC_VOLUME   7   // Volume (Standard MIDI)
#define CC_FLT_ATK 16   // Filter Attack Time
#define CC_FLT_DEC 17   // Filter Decay Time
#define CC_FLT_SUS 18   // Filter Sustain
#define CC_FLT_REL 19   // Filter Release Time
#define CC_FLT_Q   71   // Timbre / Harmonic Content (Standard MIDI)
#define CC_AMP_REL 72   // Release Time (Standard MIDI)
#define CC_AMP_ATK 73   // Attack Time (Standard MIDI)
#define CC_FLT_FRQ 74   // Brightness (Standard MIDI)
#define CC_AMP_DEC 75   // Decay Time
#define CC_AMP_SUS 76   // Sustain
#define CC_OSC_DET 94   // Detune (Standard MIDI)
#define CC_MOD_FLT 20   // Mod Envelope Filter Gain
#define CC_KEY_TRK 21   // Filter Key Tracking
#define CC_OSC2PIT 22   // Oscillator 2 Pitch
#define CC_LFO_FRQ 23   // LFO Frequency
#define CC_LFO_PIT 24   // LFO Pitch Modulation
#define CC_LFO_FLT 25   // LFO Filter Modulation
#define CC_UNISON  26   // Unison Amount
#define CC_OSC_MIX 27   // Oscillator 1/2 Mix
#define CC_OSC1MDE 28   // Oscillator 1 Mode
#define CC_OSC2MDE 29   // Oscillator 2 Mode
#define CC_FLT_TYP 30   // Filter Type
#define CC_FLT_SLP 31   // Filter Slope
#define CC_RVB_SND 102  // Reverb Send
#define CC_NOI_MIX 103    // Noise Mix

#endif