#include "preset.h"

const Preset DEFAULT_PRESET = {
    .unison = 1,

    .osc1Mode = Oscillator::MODE_SAW,
    .osc2Mode = Oscillator::MODE_SAW,
    .oscMix = 64,
    .oscDetune = 6,
    .osc2Pitch = 0,

    .noiseMix = 0,

    .filter = {
        .type = 0,
        .slope = 22,
        .freq = 32,
        .Q = 25,
    },

    .ampEnv = {
        .attack = 0,
        .decay = 56,
        .sustain = 64,
        .release = 56
    },

    .modEnv = {
        .attack = 0,
        .decay = 106,
        .sustain = 0,
        .release = 106
    },

    .modEnvFltGain = 56,
    .keyTrack = 127,
    .lfoFreq = 64,
    .lfoPitchMod = 0,
    .lfoFltMod = 64,

    .reverb = 16
};